package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目进度表实体类
 * */
public class ProgressSchedule extends DataEntity<ProgressSchedule> {
    /**
     * 储备项目名称
     * */
    private String projectName;
    /**
     * 储备项目编码
     * */
    private String projectReserveId;
    /**
     * 储备项目基本信息（完成时间）
     * */
    private String projectBasic;
    /**
     * 方案交底结论（完成时间）
     * */
    private String conclusionDisclosure;
    /**
     * 设计单位上传（完成时间）
     * */
    private String designUpload;
    /**
     * 项目经理审图（完成时间）
     * */
    private String drawingReview;
    /**
     * 技经人员审概算（完成时间）
     * */
    private String estimate;
    /**
     * 联合审图（完成时间）
     * */
    private String jointDrawing;

    //添加入库状态 0-入库前 1-已入库 2-入库退回 3-入库退回再入库
    private String addWareHousing;


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectBasic() {
        return projectBasic;
    }

    public void setProjectBasic(String projectBasic) {
        this.projectBasic = projectBasic;
    }

    public String getConclusionDisclosure() {
        return conclusionDisclosure;
    }

    public void setConclusionDisclosure(String conclusionDisclosure) {
        this.conclusionDisclosure = conclusionDisclosure;
    }

    public String getDesignUpload() {
        return designUpload;
    }

    public void setDesignUpload(String designUpload) {
        this.designUpload = designUpload;
    }

    public String getDrawingReview() {
        return drawingReview;
    }

    public void setDrawingReview(String drawingReview) {
        this.drawingReview = drawingReview;
    }

    public String getEstimate() {
        return estimate;
    }

    public void setEstimate(String estimate) {
        this.estimate = estimate;
    }

    public String getJointDrawing() {
        return jointDrawing;
    }

    public void setJointDrawing(String jointDrawing) {
        this.jointDrawing = jointDrawing;
    }

    public String getAddWareHousing() {
        return addWareHousing;
    }

    public void setAddWareHousing(String addWareHousing) {
        this.addWareHousing = addWareHousing;
    }
}
